from peewee import AutoField, CharField

from lib.domain.BaseModel import BaseModel


class Country(BaseModel):
    class Meta:
        table_name = "country"
    id = AutoField(column_name="countryid")
    name = CharField(max_length=200, unique=True)
    name_short = CharField(max_length=100, column_name="countryshort")
    nationality = CharField(max_length=100)
    iso2 = CharField(max_length=2, unique=True)
    iso3 = CharField(max_length=3, unique=True)
